En la entrada que escribí el pasado martes sobre las dificultades del proceso de actualización a WordPress 2.3 hice referencia a lo pesado que es comprobar la compatibilidad de los plugins instalados en el bitácora, sobre todo si la lista es larga, como es mi caso y el de tantos blogueros y blogueras. Pues bien, siempre hay un genio en la comunidad de WordPress que sale de la lámpara y acude en auxilio de sus colegas de afición justo cuando más falta hace. En este caso, el genio es Doug Smith, con el plugin WordPress Upgrade Preflight Check, que se encarga justamente de comprobar la compatibilidad entre los complementos instalados en el blog y la última versión del gestor de contenidos.

Tras instalar y activar el plugin, no hay más que ir a las Opciones del backend y buscar en la pestaña Upgrade Preflight. Ahí aparece la lista completa de plugins y temas, con sus posibles incompatibilidades, que remiten a unas notas a pie de página donde se informa del porqué de tales conflictos. Los enlaces incluidos en estas notas permiten acceder a información complementaria sobre los cambios en la nueva versión del gestor de contenidos y también a los foros de WordPress donde se discuten esos aspectos problemáticos (véase, por ejemplo, el tema dedicado a solucionar los errores en la base de datos tras la actualización), lo cual viene muy bien para prevenir catástrofes.

¡Ah, si hubiera tenido esta herramienta en mis manos al principio de la semana! Me habría ahorrado unas cuantas horas de trabajo y algunas incertidumbres. No es que el plugin resuelva todos los problemas (ya advierte su autor que no puede ofrecer una absoluta garantía), pero constituye una ayuda inestimable, sobre todo para blogueros poco duchos en la no siempre fácil tarea de mantener el blog à la page.

En fin, Mario, parece que empezamos a quedarnos sin razones para actualizar a WordPress 2.3

alojamiento wordpress